# 获取当前用户的购物车

返回当前用户的购物车。

Endpoint: GET /v2/project/{project_id}/cart
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    项目ID。
    Example: 44056

## Query parameters:

  - `currency` (string)
    显示价格的货币（默认为美元）。符合ISO 4217标准的三字母货币代码。

  - `locale` (string)
    响应语言。符合ISO 639-1标准的两个小写字母的语言代码。

## Response 200 fields (application/json):

  - `cart_id` (string)
    购物车ID。
    Example: "cart_id"

  - `is_free` (boolean)
    如果为true，则购物车为免费。

  - `items` (array)
    Example: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]

  - `items.attributes` (array)
    与商品对应的属性及其值的列表。可用于目录筛选。
    Example: {"value":{"external_id":"genre","name":"Жанр","values":[{"external_id":"genre_e3364991f92e751689a68b96598a5a5a84010b85","value":"Casual"},{"external_id":"genre_eba07bfd0f982940773cba3744d97264dd58acd7","value":"Strategy"},{"external_id":"genre_b8d0c6d8f0524c2b2d79ebb93aa3cd0e8b5199a8","value":"Mobile"}]}}

  - `items.attributes.external_id` (string)
    唯一属性ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。
    Example: "attribute_1"

  - `items.attributes.name` (string)
    属性名称。
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    属性值。
    Example: "Strategy"

  - `items.description` (string)

  - `items.groups` (array)

  - `items.groups.external_id` (string)

  - `items.groups.name` (string)

  - `items.image_url` (string)

  - `items.is_free` (boolean)

  - `items.name` (string,null)

  - `items.quantity` (integer)

  - `items.sku` (string)

  - `items.type` (string)

  - `price` (object,null)
    购物车价格。
    Example: "{\"amount\":\"6150.0000000000000000\",\"amount_without_discount\":\"6150.0000000000000000\",\"currency\":\"USD\"}"

  - `price.amount` (string)

  - `price.amount_without_discount` (string)

  - `price.currency` (string)


